SQLITE3_API_ROUTINES(3) | Library Functions Manual | SQLITE3_API_ROUTINES(3)

# NAME

`sqlite3_api_routines` — loadable extension thunk

# SYNOPSIS

`#include <sqlite3.h>`

typedef struct sqlite3_api_routines sqlite3_api_routines;

# DESCRIPTION

A pointer to the opaque sqlite3_api_routines structure is passed as the third parameter to entry points of loadable extensions. This structure must be typedefed in order to work around compiler warnings on some platforms.

# IMPLEMENTATION NOTES

These declarations were extracted from the interface documentation at line 1265.

    typedef struct sqlite3_api_routines sqlite3_api_routines;

January 24, 2024 | NetBSD 11.0